AOZ Studio Beta - Bug #860

Pressing ESC at a program end does not enter Direct Mode
11/06/2021 11:42 AM - Wayne Johnson

Status: Resolved Start date: 11/06/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Problem: when a program is run with F2, and completes in the AOZ Viewer, the note at the bottom says:
Direct Mode
But pressing ESC makes this notice go away.
However, you can you press the Wizard icon to open Direct Mode anytime, but not with ESC.
To reproduce:
1. A simple program: Print "Hello"
2. F2 to run in AOZ Viewer
3. Notice: End of program at line 1 Direct Mode
4. Press Esc

5. Notice clears but direct mode does not appear.
6. Click the wizard icon and direct mode appears.

History

#1 - 11/06/2021 11:46 AM - Brian Flanagan
- Assignee set to Baptiste Bideaux

- Estimated time set to 2:00 h
Verified, this is a problem.
Further information:

ESC is supposed to work as it did in AMOS:

1.1f you're in the Editor and you hit ESC,
it's supposed to go to Direct Mode.

2. If you're in Direct Mode and you hit ESC,
it's supposed to go back to the Editor.

#2 - 12/10/2021 10:22 AM - Francois Lionet
- Status changed from New to Resolved

- Assignee changed from Baptiste Bideaux to Francois Lionet

Finally fixed! No easy as keyboard message come to multiples places, yet it seems to work.
ESCAPE in the editor-> open direct mode
ESCAPE in direct mode -> go back tot he editor

ESCAPE when a program ends-> open direct mode
RETURN when a progrgam end-> go back to editor

Now to accelerate transpilation when going into direct mode (and add screen sliding? ;) and we will be just as comfortable as in AMOS...
